package it.integry.integrywmsnative.core.data_store.db.wrappers;

import androidx.room.ColumnInfo;
import androidx.room.Embedded;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.data_store.db.entity.ArticoloOrdine;

public class ArticoloOrdineWrapper {
    @Embedded
    private ArticoloOrdine articoloOrdine;

    @ColumnInfo(name = "gg_scadenza")
    private int ggScadenza = 0;

    @ColumnInfo(name = "giacenza")
    private BigDecimal giacenza = BigDecimal.ZERO;

    @ColumnInfo(name = "qta_prevista_vendita")
    private BigDecimal qtaPrevistaVendita = BigDecimal.ZERO;

    @ColumnInfo(name = "qta_proposta")
    private BigDecimal qtaProposta = BigDecimal.ZERO;

    public ArticoloOrdine getArticoloOrdine() {
        return articoloOrdine;
    }

    public void setArticoloOrdine(ArticoloOrdine articoloOrdine) {
        this.articoloOrdine = articoloOrdine;
    }

    public int getGgScadenza() {
        return ggScadenza;
    }

    public void setGgScadenza(int ggScadenza) {
        this.ggScadenza = ggScadenza;
    }

    public BigDecimal getGiacenza() {
        return giacenza;
    }

    public void setGiacenza(BigDecimal giacenza) {
        this.giacenza = giacenza;
    }

    public BigDecimal getQtaPrevistaVendita() {
        return qtaPrevistaVendita;
    }

    public void setQtaPrevistaVendita(BigDecimal qtaPrevistaVendita) {
        this.qtaPrevistaVendita = qtaPrevistaVendita;
    }

    public BigDecimal getQtaProposta() {
        return qtaProposta;
    }

    public void setQtaProposta(BigDecimal qtaProposta) {
        this.qtaProposta = qtaProposta;
    }
}
